-- NOTES:

-- play animation > particle explosion > whiteout > flag. In D-07


function onTalk()
	disableMovement()
	disableRetry()
	if getFlag("D_07_Herrah_done") then
		say("CC_XELKHK_CUTS_CoT_C")
	end
	if not getFlag("D_07_Herrah_done") and getFlag("DreamNail") then
		player.ForceCameraUpdate = true
		walkTo(-1888)
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		wait(0.1)
		coroutine.yield(getLevel():ZoomTo(vector2(168, 80), 1.2, 0.5))
		setFlag("herrah1",true)
		wait(0.3)
		setFlag("herrah2",true)
		setFlag("herrahDiseappear", true)
		wait(1)
		coroutine.yield(getLevel():ZoomAcross(vector2(292,886), 1, 0.5))
		setFlag("herrah1",false)
		setFlag("herrah2",false)
		setFlag("herrahDiseappear", true)
		setFlag("Herrah", true)
		setFlag("D_07_Herrah_done",true)
		setFlag("BeastDenBreakTwo", true)
		setFlag("map_Pin_Beast", false)
	end
		if not getFlag("DreamNail") then
		say("CC_XELKHK_CUTS_D_B")
		setFlag("BeastDenBreakTwo", true)
	end
end

function onEnd()
	enableMovement()
	enableRetry()

end